Bug 119147 - kopete's history is encrypted
kopete's history is encrypted
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kdenetwork (Show other bugs)
rawhide
ia32e Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-25 11:16 EST by Sameh Attia
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-12 10:33:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sameh Attia 2004-03-25 11:16:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
When messaging someone over Jabber protocol while encryption is
enabled; the history becomes encrypted.

Version-Release number of selected component (if applicable):
kdenetwork-3.2.1-3

How reproducible:
Always

Steps to Reproduce:
1.add someone to ur contact list
2.assign it a correct public key
3.start messaging and when finished close the window
4.open it again and check the history


Actual Results:  it displays the encrypted outgoing message

Expected Results:  the clear message

Additional info:

this happens if the other party sends u encrypted too
Comment 1 Mohamed Eldesoky 2004-03-28 09:32:02 EST
Wouldn't it be nice if kopete can encrypt to self, then it will be 
able to decrypt the history at will !!!! 
However, I think this should be addressed in KDE bugzilla. 
Comment 2 Ngo Than 2004-04-01 16:17:39 EST
yes, it would be nice if you could add it in KDE bugzilla ;-)
Comment 3 Matt Rogers 2004-08-26 00:32:08 EDT
see http://bugs.kde.org/show_bug.cgi?id=77482 
Comment 4 Ngo Than 2004-08-30 05:46:02 EDT
Matt, it looks like it's fixed in 3.3.0 release. Could you please
verify it ? Thanks
Comment 5 Sameh Attia 2004-09-27 07:54:18 EDT
No..Im running 3.3.0-1.1.2.kde from kde-redhat on FC2 and still the
problem exists.
Comment 6 John Thacker 2006-10-29 17:51:27 EST
[This is a mass update sent to many bugs that missed earlier such messages due
to having their version set to a test version.]

This bug was originally filed against a version of Fedora Core which is no
longer supported, even for security updates.  Many changes have occured since
then.  Please retest this bug against a still supported version.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  If
it still occurs on FC5 or FC6, please assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug will be closed after a few weeks if no information is given indicating
that the bug is still present in a supported release.
Comment 7 John Thacker 2007-01-12 10:33:34 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.